
Foreman - Bug #15447

Hostnames cannot be reused when hosts are deleted from Katello

06/16/2016 11:07 PM - Dylan Baars

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running the latest katello release candidate (RC8)

Steps to reproduce:

1. Create a new host via Hosts > New Host

2. Host is built successfully, works as expected

3. Delete the host, Host > All Hosts > Actions > Delete

4. Create a new host via Hosts > New Host, use same name as previously deleted host

5. Error displayed on host tab of new host windows beside name: "has already been taken"

production.log below

2016-06-17 15:03:05 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:03:05 +1200

2016-06-17 15:03:06 [app] [I] Processing by TasksController#show as /*

2016-06-17 15:03:06 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:03:06 [app] [I]   Rendered tasks/_list.html.erb (0.7ms)

2016-06-17 15:03:06 [app] [I] Completed 200 OK in 23ms (Views: 1.9ms | ActiveRecord: 3.8ms)

2016-06-17 15:04:45 [app] [I] Started POST "/hosts/medium_selected" for 192.168.222.132 at 2016-06-17 15:04:45 +1200

2016-06-17 15:04:45 [app] [I] Processing by HostsController#medium_selected as */

2016-06-17 15:04:45 [app] [I]   Parameters: {"host"=>{"medium_id"=>"8", "operatingsystem_id"=>"2", "architecture_id"=>"1",

"use_image"=>"false"}}

2016-06-17 15:04:45 [app] [I]   Rendered common/os_selection/_image_details.html.erb (5.5ms)

2016-06-17 15:04:45 [app] [I] Completed 200 OK in 54ms (Views: 24.9ms | ActiveRecord: 4.2ms)

2016-06-17 15:05:09 [app] [I] Started POST "/hosts" for 192.168.222.132 at 2016-06-17 15:05:09 +1200

2016-06-17 15:05:09 [app] [I] Processing by HostsController#create as /*

2016-06-17 15:05:09 [app] [I]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"ubDN7zClH+swOiZcDwcL3M331MaN/lhGr80h+t+Phv8=", "host"=>{"salt_module_ids"=>[""],

"name"=>"testvm2", "organization_id"=>"6", "location_id"=>"24", "hostgroup_id"=>"2", "compute_resource_id"=>"2",

"content_facet_attributes"=>{"lifecycle_environment_id"=>"13", "content_view_id"=>"7", "id"=>"",

"kickstart_repository_id"=>""}, "environment_id"=>"", "content_source_id"=>"1", "salt_environment_id"=>"2",

"salt_proxy_id"=>"1", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed",

"interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"",

"name"=>"testvm2", "domain_id"=>"1", "subnet_id"=>"4", "ip"=>"192.168.14.181", "managed"=>"1", "primary"=>"1",

"provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>"",

"compute_attributes"=>{"type"=>"VirtualVmxnet3", "network"=>"SDT Network"}}}, "compute_attributes"=>{"cpus"=>"2",

"corespersocket"=>"1", "memory_mb"=>"2048", "cluster"=>"wellpool05", "resource_pool"=>"Resources",

"path"=>"/Datacenters/Wellington/vm", "guest_id"=>"centos64Guest", "scsi_controller_type"=>"VirtualLsiLogicController",

"hardware_version"=>"vmx-10", "memoryHotAddEnabled"=>"0", "cpuHotAddEnabled"=>"0", "start"=>"1",

"volumes_attributes"=>{"0"=>{"_delete"=>"", "datastore"=>"wellpool05 SR1", "name"=>"Hard disk", "size_gb"=>"30",

"thin"=>"false", "eager_zero"=>"true"}}}, "architecture_id"=>"1", "operatingsystem_id"=>"2",

"provision_method"=>"bootdisk", "build"=>"1", "medium_id"=>"8", "ptable_id"=>"74", "disk"=>"",

"root_pass"=>"[FILTERED]", "is_owned_by"=>"4-Users", "enabled"=>"1", "comment"=>"", "overwrite"=>"false"},

"capabilities"=>"build image bootdisk", "provider"=>"Vmware", "media_selector"=>"install_media",

"bare_metal_capabilities"=>"build"}

2016-06-17 15:05:09 [app] [I] Failed to save: Name has already been taken

2016-06-17 15:05:09 [app] [I]   Rendered hosts/_progress.html.erb (0.6ms)
2016-06-17 15:05:10 [app] [I]   Rendered nic/_base_form.html.erb (63.8ms)

2016-06-17 15:05:10 [app] [I]   Rendered nic/_virtual_form.html.erb (3.6ms)

2016-06-17 15:05:11 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (820.3ms)

2016-06-17 15:05:11 [app] [I]   Rendered nic/_provider_specific_form.html.erb (822.2ms)

2016-06-17 15:05:11 [app] [I]   Rendered nic/manageds/_managed.html.erb (894.3ms)

2016-06-17 15:05:11 [app] [I]   Rendered nic/_base_form.html.erb (52.4ms)

2016-06-17 15:05:11 [app] [I]   Rendered nic/_virtual_form.html.erb (3.0ms)

2016-06-17 15:05:11 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:11 +1200

2016-06-17 15:05:11 [app] [I] Processing by TasksController#show as */

2016-06-17 15:05:11 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:11 [app] [I]   Rendered tasks/_list.html.erb (1.5ms)

2016-06-17 15:05:11 [app] [I] Completed 200 OK in 26ms (Views: 2.5ms | ActiveRecord: 2.9ms)

2016-06-17 15:05:11 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (369.1ms)

2016-06-17 15:05:11 [app] [I]   Rendered nic/_provider_specific_form.html.erb (370.6ms)

2016-06-17 15:05:11 [app] [I]   Rendered nic/manageds/_managed.html.erb (430.8ms)

2016-06-17 15:05:11 [app] [I]   Rendered hosts/_interfaces.html.erb (1332.3ms)

2016-06-17 15:05:12 [app] [I]   Rendered compute_resources_vms/form/vmware/_base.html.erb (955.6ms)

2016-06-17 15:05:12 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:12 +1200

2016-06-17 15:05:12 [app] [I] Processing by TasksController#show as /*

2016-06-17 15:05:12 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:12 [app] [I]   Rendered tasks/_list.html.erb (0.2ms)

2016-06-17 15:05:12 [app] [I] Completed 200 OK in 18ms (Views: 1.0ms | ActiveRecord: 2.4ms)

2016-06-17 15:05:14 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:14 +1200

2016-06-17 15:05:14 [app] [I] Processing by TasksController#show as */

2016-06-17 15:05:14 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:14 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2016-06-17 15:05:14 [app] [I] Completed 200 OK in 21ms (Views: 2.1ms | ActiveRecord: 2.6ms)

2016-06-17 15:05:15 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (3200.9ms)

2016-06-17 15:05:16 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:16 +1200

2016-06-17 15:05:16 [app] [I] Processing by TasksController#show as /*

2016-06-17 15:05:16 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:16 [app] [I]   Rendered tasks/_list.html.erb (0.2ms)

2016-06-17 15:05:16 [app] [I] Completed 200 OK in 17ms (Views: 1.0ms | ActiveRecord: 2.4ms)

2016-06-17 15:05:17 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:17 +1200

2016-06-17 15:05:17 [app] [I] Processing by TasksController#show as */

2016-06-17 15:05:17 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:17 [app] [I]   Rendered tasks/_list.html.erb (1.6ms)

2016-06-17 15:05:17 [app] [I] Completed 200 OK in 21ms (Views: 2.4ms | ActiveRecord: 2.2ms)

2016-06-17 15:05:19 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:19 +1200

2016-06-17 15:05:19 [app] [I] Processing by TasksController#show as /*

2016-06-17 15:05:19 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:19 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2016-06-17 15:05:19 [app] [I] Completed 200 OK in 30ms (Views: 1.4ms | ActiveRecord: 3.3ms)

2016-06-17 15:05:19 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (3990.5ms)

2016-06-17 15:05:19 [app] [I]   Rendered compute_resources_vms/form/_volumes.html.erb (7195.9ms)

2016-06-17 15:05:19 [app] [I]   Rendered hosts/_compute_detail.html.erb (8153.8ms)

2016-06-17 15:05:19 [app] [I]   Rendered hosts/_compute.html.erb (8157.6ms)

2016-06-17 15:05:19 [app] [I]   Rendered common/os_selection/_architecture.html.erb (11.2ms)

2016-06-17 15:05:19 [app] [I]   Rendered

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_bootdisk-7.0.1/app/views/hosts/provision_method/bootdisk/_form.

html.erb (19.2ms)

2016-06-17 15:05:19 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (210.1ms)

2016-06-17 15:05:19 [app] [I]   Rendered hosts/provision_method/build/_form.html.erb (213.4ms)

2016-06-17 15:05:19 [app] [I]   Rendered hosts/provision_method/image/_form.html.erb (0.6ms)

2016-06-17 15:05:19 [app] [I]   Rendered hosts/_operating_system.html.erb (257.4ms)

2016-06-17 15:05:19 [app] [I]   Rendered hosts/_unattended.html.erb (8416.5ms)

2016-06-17 15:05:19 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

2016-06-17 15:05:19 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (35.6ms)

2016-06-17 15:05:20 [app] [I]   Rendered common_parameters/_inherited_parameters.html.erb (23.2ms)

2016-06-17 15:05:20 [app] [I]   Rendered common_parameters/_parameter.html.erb (4.5ms)

2016-06-17 15:05:20 [app] [I]   Rendered common_parameters/_parameters.html.erb (8.4ms)
2016-06-17 15:05:20 [app] [I]   Rendered hosts/_form.html.erb (10084.0ms)

2016-06-17 15:05:20 [app] [I]   Rendered hosts/new.html.erb within layouts/application (10085.2ms)

2016-06-17 15:05:20 [app] [I]   Rendered layouts/_application_content.html.erb (0.6ms)

2016-06-17 15:05:20 [app] [I]   Rendered home/_user_dropdown.html.erb (2.0ms)

2016-06-17 15:05:20 [app] [I] Read fragment views/tabs_and_title_records-4 (0.3ms)

2016-06-17 15:05:20 [app] [I]   Rendered home/_topbar.html.erb (4.3ms)

2016-06-17 15:05:20 [app] [I]   Rendered layouts/base.html.erb (6.6ms)

2016-06-17 15:05:20 [app] [I] Completed 200 OK in 10351ms (Views: 10041.4ms | ActiveRecord: 82.6ms)

2016-06-17 15:05:20 [app] [I] Started PUT "/salt/minions/salt_environment_selected" for 192.168.222.132 at 2016-06-17

15:05:20 +1200

2016-06-17 15:05:20 [app] [I] Processing by ForemanSalt::MinionsController#salt_environment_selected as */

2016-06-17 15:05:20 [app] [I]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"ubDN7zClH+swOiZcDwcL3M331MaN/lhGr80h+t+Phv8=", "host"=>{"salt_module_ids"=>[""],

"name"=>"testvm2", "organization_id"=>"6", "location_id"=>"24", "hostgroup_id"=>"2", "compute_resource_id"=>"2",

"content_facet_attributes"=>{"lifecycle_environment_id"=>"13", "content_view_id"=>"7", "id"=>"", "kickstart_repository_id"=>""},

"environment_id"=>"", "content_source_id"=>"1", "salt_environment_id"=>"2", "salt_proxy_id"=>"1", "managed"=>"true",

"progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0",

"type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"testvm2", "domain_id"=>"1", "subnet_id"=>"4",

"ip"=>"192.168.14.181", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"",

"attached_to"=>"", "compute_attributes"=>{"type"=>"VirtualVmxnet3", "network"=>"SDT Network"}},

"new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"",

"subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "execution"=>"0", "virtual"=>"0", "tag"=>"",

"attached_to"=>"", "compute_attributes"=>{"type"=>"VirtualE1000", "network"=>"Allen User Network"}}},

"compute_attributes"=>{"cpus"=>"2", "corespersocket"=>"1", "memory_mb"=>"2048", "cluster"=>"wellpool05",

"resource_pool"=>"Resources", "path"=>"/Datacenters/Wellington/vm", "guest_id"=>"centos64Guest",

"scsi_controller_type"=>"VirtualLsiLogicController", "hardware_version"=>"vmx-10", "memoryHotAddEnabled"=>"0",

"cpuHotAddEnabled"=>"0", "start"=>"1", "volumes_attributes"=>{"new_volumes"=>{"_delete"=>"", "datastore"=>"hpcfpool01 SR1",

"name"=>"Hard disk", "size_gb"=>"10", "thin"=>"true", "eager_zero"=>"false"}, "0"=>{"_delete"=>"", "datastore"=>"wellpool05 SR1",

"name"=>"Hard disk", "size_gb"=>"30", "thin"=>"false", "eager_zero"=>"true"}}}, "architecture_id"=>"1", "operatingsystem_id"=>"2",

"provision_method"=>"bootdisk", "build"=>"1", "medium_id"=>"8", "ptable_id"=>"74", "disk"=>"", "root_pass"=>"[FILTERED]",

"is_owned_by"=>"4-Users", "enabled"=>"1", "comment"=>"", "overwrite"=>"false"}, "capabilities"=>"build image bootdisk",

"provider"=>"Vmware", "media_selector"=>"install_media", "fakepassword"=>"[FILTERED]", "bare_metal_capabilities"=>"build",

"host_id"=>"null"}

2016-06-17 15:05:20 [app] [I]   Rendered

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_salt-5.0.1/app/views/foreman_salt/salt_modules/_host_tab_pane.html.erb

(8.4ms)

2016-06-17 15:05:20 [app] [I] Completed 200 OK in 173ms (Views: 9.9ms | ActiveRecord: 21.1ms)

2016-06-17 15:05:21 [app] [I] Started GET "/tasks/1f444895-dfdd-41c3-ae14-d006cc12dc68" for 192.168.222.132 at 2016-06-17

15:05:21 +1200

2016-06-17 15:05:21 [app] [I] Processing by TasksController#show as */*

2016-06-17 15:05:21 [app] [I]   Parameters: {"id"=>"1f444895-dfdd-41c3-ae14-d006cc12dc68"}

2016-06-17 15:05:21 [app] [I]   Rendered tasks/_list.html.erb (0.6ms)

2016-06-17 15:05:21 [app] [I] Completed 200 OK in 21ms (Views: 1.8ms | ActiveRecord: 3.1ms)

History

#1 - 06/17/2016 08:15 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 144

#2 - 06/17/2016 11:12 AM - Eric Helms

- translation missing: en.field_release changed from 144 to 168

#3 - 07/05/2016 01:56 PM - Eric Helms

- translation missing: en.field_release changed from 168 to 171

#4 - 07/06/2016 11:38 AM - Eric Helms

- translation missing: en.field_release deleted (171)

#5 - 07/06/2016 01:58 PM - Justin Sherrill

- Project changed from Katello to Foreman

- Category deleted (Hosts)

This seems to not be katello related, so moving to foreman for triage.  Unsure if its related to the vmware compute resource or not.
#6 - 07/06/2016 05:21 PM - Dylan Baars

Justin Sherrill wrote:

This seems to not be katello related, so moving to foreman for triage.  Unsure if its related to the vmware compute resource or not.

 Since upgrading to katello 3.0 I have not seen this issue, can be closed!

#7 - 07/07/2016 03:21 AM - Dominic Cleal

- Status changed from New to Rejected

Thanks for confirming.
